package net.northking.cctp.device.dto.device;

import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.device.db.entity.*;

import java.util.LinkedHashMap;

public class DeviceInfoDto {

    @ApiModelProperty("上位机信息")
    private CdDeviceCtrl cdDeviceCtrl;

    @ApiModelProperty("设备品牌")
    private CdMobileBrand cdMobileBrand;

    @ApiModelProperty("设备机型")
    private CdDeviceModel cdDeviceModel;

    @ApiModelProperty("设备信息")
    private CdMobileDevice cdMobileDevice;

    @ApiModelProperty("移动设备详细信息")
    private LinkedHashMap<String, Object> deviceInfo;

    @ApiModelProperty("STF地址")
    private String stfAddr;

    @ApiModelProperty("令牌")
    private String token;

    @ApiModelProperty("PC设备信息")
    private CdPcDevice cdPcDevice;

    @ApiModelProperty("执行引擎信息")
    private CdEngineInfo engineInfo;

    @ApiModelProperty("PC设备账号")
    private String account;

    @ApiModelProperty("PC设备密码")
    private String pwd;

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getPwd() {
        return pwd;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public CdMobileBrand getCdMobileBrand() {
        return cdMobileBrand;
    }

    public void setCdMobileBrand(CdMobileBrand cdMobileBrand) {
        this.cdMobileBrand = cdMobileBrand;
    }

    public CdDeviceModel getCdDeviceModel() {
        return cdDeviceModel;
    }

    public void setCdDeviceModel(CdDeviceModel cdDeviceModel) {
        this.cdDeviceModel = cdDeviceModel;
    }

    public LinkedHashMap<String, Object> getDeviceInfo() {
        return deviceInfo;
    }

    public void setDeviceInfo(LinkedHashMap<String, Object> deviceInfo) {
        this.deviceInfo = deviceInfo;
    }

    public String getStfAddr() {
        return stfAddr;
    }

    public void setStfAddr(String stfAddr) {
        this.stfAddr = stfAddr;
    }

    public CdEngineInfo getEngineInfo() {
        return engineInfo;
    }

    public void setEngineInfo(CdEngineInfo engineInfo) {
        this.engineInfo = engineInfo;
    }

    public CdPcDevice getCdPcDevice() {
        return cdPcDevice;
    }

    public void setCdPcDevice(CdPcDevice cdPcDevice) {
        this.cdPcDevice = cdPcDevice;
    }

    public CdDeviceCtrl getCdDeviceCtrl() {
        return cdDeviceCtrl;
    }

    public void setCdDeviceCtrl(CdDeviceCtrl cdDeviceCtrl) {
        this.cdDeviceCtrl = cdDeviceCtrl;
    }

    public CdMobileDevice getCdMobileDevice() {
        return cdMobileDevice;
    }

    public void setCdMobileDevice(CdMobileDevice cdMobileDevice) {
        this.cdMobileDevice = cdMobileDevice;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }
}
